Bug 183920 - [ixgbe] [patch] Incorrect ifconfig media on INTEL X520-T2 10G Dual-port Ethernet Server Adapter, RJ45/2
Summary: [ixgbe] [patch] Incorrect ifconfig media on INTEL X520-T2 10G Dual-port Ether...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Joyner
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2013-11-13 10:30 UTC by Volodymyr Pushkar
Modified: 2015-07-01 15:02 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (421 bytes, patch)
2013-11-13 10:30 UTC, Volodymyr Pushkar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Pushkar 2013-11-13 10:30:00 UTC
Incorrect media (1000baseSX instead of 1000baseT) shown in ifconfig
with INTEL X520-T2 10G Dual-port Ethernet Server Adapter, RJ45/2 when
connecting to the gigabit switch with copper ports:

ix0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=407bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,VLAN_HWTSO>
	ether 00:1e:67:07:80:d8
	media: Ethernet autoselect (1000baseSX <full-duplex>)
	status: active
ix1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=407bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,VLAN_HWTSO>
	ether 00:1e:67:07:80:d8
	media: Ethernet autoselect (1000baseSX <full-duplex>)
	status: active

Current network adapter doesn't have optic ports or modules, only built-
in copper ports. That's why can't gather this interfaces with other
gigabit in lagg with lacp (but this is another problem fixed in PR: 176097).

Fix: Quick and dirty hack is to replace the IFM_1000_SX with IFM_1000_T in ixgbe.c:
How-To-Repeat: Simply ifconfig ixX up, where X is the number of interface.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-05-04 06:21:46 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Eric Joyner 2014-09-23 23:50:11 UTC
Wow, this has been here for a while.
Comment 3 Sean Bruno freebsd_committer 2015-06-30 17:47:58 UTC
Is this change correct for ixgbe(4) ... it would apply to if_ix.c now.
Comment 4 Volodymyr Pushkar 2015-06-30 18:11:30 UTC
Hello,

My patch is quick and dirty hack, you will need to add some fuzzy logic to do it correct. So, please don't apply it directly, because it will breaks some normal behavior.
Comment 5 Eric Joyner freebsd_committer 2015-06-30 19:40:45 UTC
The media types should be properly handled on either stable/10 or 11. I tested the driver on an X520-T2 a couple days ago, and 10Gbase-T and 1000baseT media types showed up.
Comment 6 Sean Bruno freebsd_committer 2015-07-01 15:02:41 UTC
Please retest and reopen if this is still an issue.